LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
TextMarkupType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::text
| Text specific interfaces.

## Constant Groups
constants | com::sun::star::text::TextMarkupType
| Constants to specify the type of text markup.

## Variables
const long | SPELLCHECK = 1
| Markup originates from spell checking. More...
const long | PROOFREADING = 2
| Markup originates from proofreading. More...
const long | SMARTTAG = 3
| Markup originates from smart tag checking. More...
const long | SENTENCE = 4
| Markup originates from proofreading An invisible markup type used in proofreading API calls. More...
const long | TRACK_CHANGE_INSERTION = 5
| Markups originates from change tracking. More...
const long | TRACK_CHANGE_DELETION = 6
const long | TRACK_CHANGE_FORMATCHANGE = 7